%define anolis_release 1
Summary: X.Org X11 libXpm runtime library
Name: libXpm
Version: 3.5.17
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xproto) >= 7.0.17
BuildRequires: pkgconfig(xt)
BuildRequires: gettext
BuildRequires: %{_bindir}/compress
BuildRequires: %{_bindir}/gzip
Recommends: %{_bindir}/compress
Recommends: %{_bindir}/gzip

%description
X.Org X11 libXpm runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libXpm development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXpm development package

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%{?generate_compatibility_deps}

%files
%license COPYING
%{_libdir}/libXpm.so.*
%dir %{abidir}
%{abidir}/*.dump

%files doc
%doc README.md AUTHORS ChangeLog

%files devel
%{_bindir}/cxpm
%{_bindir}/sxpm
%{_includedir}/X11/xpm.h
%{_libdir}/libXpm.so
%{_libdir}/pkgconfig/xpm.pc
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Oct 04 2023 Funda Wang <fundawang@yeah.net> - 3.5.17-1
- New version 3.5.17

* Thu Apr 20 2023 Funda Wang <fundawang@yeah.net> - 3.5.16-1
- New version 3.5.16

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 3.5.15-1
- New version 3.5.15

* Sun Nov 20 2022 Funda Wang <fundawang@yeah.net> - 3.5.14-1
- New version 3.5.14

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.5.13-1
- Init from upstream version 3.5.13
